// const baseUrl = 'https://demo.schoolwisdoms.com';
// const baseUrl = 'https://app.schoolwisdoms.com';

const baseUrl = 'http://192.168.2.103';

const ssoBase = baseUrl + '/sso';
const platformBase = baseUrl + '/admin';
const schoolBase = baseUrl + '/schoolbaby';
const h5Base = baseUrl + '/h5';
const crudListBase = schoolBase + '/crud/list';
const crudSaveBase = schoolBase + '/crud/save';
const crud_save_all = schoolBase + '/crud/save-all';
const crudGetBase = schoolBase + '/crud/get-one';
const platformListBase = platformBase + '/crud/list';

export const urls = {
  baseUrl: baseUrl,
  h5Url: baseUrl + '/h5/',
  login: ssoBase + '/login',
  logout: ssoBase + '/logout',

  get_cur_user: platformBase + '/user/current',
  change_user: platformBase + '/user/change',
  get_resource: platformBase + '/permissions/student',
  get_advert: crudListBase + '?statement=AdvertMapper.list',
  get_leave_count: crudGetBase + '?statement=StudentLeaveMapper.getLeaveCount',
  day_report: crudSaveBase + '/dayReport',
  day_report_get: crudGetBase + '?statement=DayReportMapper.list',
  message_list: crudListBase + '?statement=NoticeMapper.queryListByOrg',
  message_detail: crudListBase + '?statement=NoticeMapper.list',
  user_sign: crudSaveBase + '/userSign',
  user_sign_get: crudGetBase + '?statement=UserSignMapper.list',
  leave_get_classes_date: crudListBase + '?statement=StudentClassesMapper.getClassesDate',
  leave_get_classes_info: crudListBase + '?statement=StudentClassesMapper.getLeaveClassesInfo',
  leave_save: crudSaveBase + '/studentLeave',
  leave_detail_save: crudSaveBase + '/studentLeaveDetail',
  update_password: platformBase + '/user/updatePasswd',
  get_suggest_moudles: platformListBase + '?statement=DictDetailMapper.list&q.headId=1004',
  suggest_save: crudSaveBase + '/userFeedBack',
  suggest_image_save: crud_save_all + '/userFeedBackImage',
  leave_history_list: crudListBase + '?statement=StudentLeaveMapper.list',
  file_upload: schoolBase + '/file/upload',
  teacher_list: crudListBase + '?statement=TeacherMapper.list',
  get_user_head: platformListBase + '?statement=UserMapper.getHead',
  update_user_head: platformBase + '/crud/execute?statement=UserMapper.updateHead',
  file_load: schoolBase + '/api/file-load?key=',
  oss_file: 'https://file.schoolwisdoms.com/',
  evaluate_teacher_list: crudListBase + '?statement=EvaluateResultMapper.teacherList',
  evaluate_teacher_history_list: crudListBase + '?statement=EvaluateResultMapper.teacherHistoryList',
  evaluate_list: crudListBase + '?statement=EvaluateResultMapper.headList',
  evaluate_item_list: crudListBase + '?statement=EvaluateResultMapper.itemListByHead',
  evaluate_result_clear: crudListBase + '?statement=EvaluateResultMapper.clearResult',
  evaluate_result_save: crud_save_all + '/evaluateResult',
  get_week: crudListBase + '?statement=TeacherAttenceMapper.getWeekByDate',
  get_schedule_week: crudListBase + '?statement=StudentAttenceMapper.getScheduleByWeek',
  get_schedule_month: crudListBase + '?statement=StudentAttenceMapper.getScheduleByMonth',
  get_transfer_target_list: crudListBase + '?statement=ClassesSwitchingMapper.courseList',
  get_homework: crudListBase + '?statement=HomeworkStudentMapper.list',
  my_homework: crudListBase + '?statement=HomeworkStudentMapper.queryByStudentId',
  complete_homework: schoolBase + '/crud/execute?statement=HomeworkStudentMapper.doHomeWork',
  file_delete: schoolBase + '/file/delete',
  video_upload: schoolBase + '/video/upload',
  video_upload_split: schoolBase + '/video/uploads',
  video_delete: schoolBase + '/video/delete',
  video_loadImg: schoolBase + '/video/load-image?videoId=',
  video_loadInfo: schoolBase + '/video/load-info?videoId=',
  video_play: schoolBase + '/nav/video-play?videoId=',
  video_auth: schoolBase + '/video/playauth?videoId=',
  video_create_upload: schoolBase + '/video/createUploadVideo',
  video_refresh_upload: schoolBase + '/video/refreshUploadVideo?videoId=',
  get_course_order: crudListBase + '?statement=StudentOrderMapper.getStudentOrder',
  get_cooperate_corp_type: platformListBase + '?statement=DictDetailMapper.list&q.headId=1008',
  cooperate_save: crudSaveBase + '/otherCooperate',
  get_activity_list: crudListBase + '?statement=ActivityMapper.list',
  get_activity_detail: crudListBase + '?statement=ActivitySignMapper.queryActivitySign',
  activity_sign_save: crudSaveBase + '/activitySign',
  activity_sign_delete: schoolBase + '/crud/execute?statement=ActivitySignMapper.deleteActivitySign',
  get_course_report: crudListBase + '?statement=StudentAttenceMapper.getCourseReport',
  get_course_money: crudListBase + '?statement=StudentAttenceMapper.getAttenceCount',
  get_qr_code: schoolBase + '/api/code/generate',
  get_activity_share: crudListBase + '?statement=ActivityShareMapper.list',
  examine_score: crudListBase + '?statement=ExamineMapper.queryExamineScoreByStudentId',
  get_growth_image: crudListBase + '?statement=GrowthRecordMapper.getImageByOrg',
  get_switch_course_list: crudListBase + '?statement=TimetableMapper.listChangeCourse',
  classes_switch_save: schoolBase + '/classesSwitching/save',
  get_chat_contact_single: crudListBase + '?statement=ClassesJpushGroupMapper.queryStudentContact',
  get_chat_contact_group: crudListBase + '?statement=ClassesJpushGroupMapper.queryStudentGroupContact',
  get_classes: crudGetBase + '?statement=ClassesMapper.list',
  attence_student_save: crudSaveBase + '/studentAttence',
  get_im_auto_reply: crudListBase + '?statement=JpushAutoReplyMapper.list',
  get_student_star: crudListBase + '?statement=StudentAttenceMapper.getStudentStar',
  get_student_comment: crudListBase + '?statement=StudentAttenceMapper.getStudentComment',
  get_student: crudGetBase + '?statement=StudentMapper.list',
  get_student_payout: crudListBase + '?statement=StudentAttenceMapper.queryPayOutRecord',
  get_student_date: crudListBase + '?statement=GrowthRecordMapper.getStudentDay',
  query_join_day: crudListBase + '?statement=StudentAttenceMapper.queryJoinDay',
  query_join_classes: crudListBase + '?statement=StudentAttenceMapper.queryJoinClasses',
  query_join_classes_student: crudListBase + '?statement=StudentAttenceMapper.queryJoinClassesStudent',
  query_attence_count: crudListBase + '?statement=StudentAttenceMapper.queryAttenceCount',
  query_attence_time_length: crudListBase + '?statement=StudentAttenceMapper.queryAttenceTimeLength',
  query_attence_data: crudListBase + '?statement=StudentAttenceMapper.queryAttenceData',
  query_attence_evaluate_count: crudListBase + '?statement=StudentAttenceMapper.queryAttenceEvaluateCount',
  query_attence_evaluate_max_score: crudListBase + '?statement=StudentAttenceMapper.queryAttenceEvaluateMaxScore',
  query_class_notice: crudListBase + '?statement=NoticeMapper.queryClassNoticeByStudent',
  my_coupon: crudListBase + '?statement=CouponDefMapper.queryCouponMoney',
  student_leave: schoolBase + '/studentLeave/save',
  student_leave_detail: crudListBase + '?statement=StudentLeaveMapper.queryByAttenceStudent',
  student_makeup: schoolBase + '/classesSupplement/save',
  makeup_list: crudListBase + '?statement=StudentLeaveMapper.makeupList',
  makeup_detail: crudListBase + '?statement=StudentLeaveMapper.queryCourseInfoByStudAttence',
  coupon_rule: crudListBase + '?statement=CouponRuleMapper.list',
  get_invitation_coupon: crudListBase + '?statement=ActivityShareMapper.queryCoupon',
  add_classes_list: crudListBase + '?statement=ClassesAddMapper.queryStudentClasses',
  get_last_classes: crudGetBase + '?statement=ClassesAddMapper.getLastClasses',
  add_classes: schoolBase + '/classesAdd/save',
  notice_receive: schoolBase + '/crud/execute?statement=ClassesStudentNoticeMapper.receive',
  homework_receive: schoolBase + '/crud/execute?statement=HomeworkStudentMapper.receive',
  get_params: platformListBase + '?statement=ParamsMapper.paramsList',
  get_attendance_rate: crudListBase + '?statement=ReportMapper.getStudentAttendanceRate',
  get_last_comment: crudGetBase + '?statement=StudentAttenceMapper.getStudentComment',
  get_invitation_count: crudGetBase + '?statement=ClientMapper.selectCountByIntroducer',
  get_invitation_enroll: crudGetBase + '?statement=ClientMapper.selectEnrollByIntroducer',
  get_invitation_coin: crudListBase + '?statement=ClientMapper.selectCoinByIntroducer',
  update_video_viewcount: schoolBase + '/crud/execute?statement=CourseVideoMapper.updateViewCount',
  get_rand_video_list: crudListBase + '?statement=CourseVideoMapper.getRandVideoList',
  get_video_list: crudListBase + '?statement=CourseVideoMapper.getVideoList',
  get_holidays: crudListBase + '?statement=HolidayMapper.list',
  get_teacherLeave: crudListBase + '?statement=TeacherLeaveMapper.list',
  feedback_list: crudListBase + '?statement=FeedBackMapper.list',
  feedback_get: crudGetBase + '?statement=FeedBackMapper.list',
  feedback_image: crudListBase + '?statement=FeedBackMapper.getImageUrlById',
  query_student_evaluate: crudListBase + '?statement=ReportMapper.queryStudentEvaluate',
  query_student_star: crudListBase + '?statement=ReportMapper.queryStudentStar',
  coupon_receive_list: crudListBase + '?statement=CouponDefMapper.queryCouponReceive',
  coupon_receive: schoolBase + '/coupon/receive',
  video_save: crudSaveBase + '/video',
  person_video_save: crudSaveBase + '/personVideo',
  person_video_view_save: crudSaveBase + '/personVideoView',
  person_video_course: crudListBase + '?statement=PersonVideoMapper.studentCourse',
  person_video_list: crudListBase + '?statement=PersonVideoMapper.list&q.status=1',
  person_video_delete: schoolBase + '/crud/execute?statement=PersonVideoMapper.deleteByVideoId',
  person_video_views_delete: schoolBase + '/crud/execute?statement=PersonVideoMapper.deleteViewsByVideoId',
  get_order: crudListBase + '?statement=StudentOrderMapper.getOrderById',
  get_thumbsup_count: crudGetBase + '?statement=PersonVideoMapper.thumbsUpCount',
  get_sys_params: crudListBase + '?statement=ParamsMapper.list',
  get_contract_images: crudListBase + '?statement=StudentOrderMapper.queryOrderContractImages',
  get_attence_count: crudGetBase + '?statement=StudentAttenceMapper.studentAttenceCount',
  query_video_creator: crudGetBase + '?statement=PersonVideoMapper.queryCreatorByVideoId',
  query_invitation_list: crudListBase + '?statement=ClientMapper.queryInvitationList',
  cooperate_send_message: schoolBase + '/jMessage/sendCooperateMessage',
  homework_complete_send_message: schoolBase + '/jMessage/sendHomeworkCompleteMessage',
  suggest_send_message: schoolBase + '/jMessage/sendFeedBackMessage',
  get_bill_share_image: schoolBase + '/api/billShareImage',
  get_bill_share_url: schoolBase + '/api/billShare',
  checkAppVersion: schoolBase + '/api/checkAppVersion',
  show_monitor: h5Base + '/api/monitor/get',
  get_piano_card_list: crudListBase + '?statement=ExerciseSchemeMapper.list',
  get_mp_list: crudListBase + '?statement=WxAppMapper.list',
  get_near_school: schoolBase + '/student/schoolList',
  collect_school: schoolBase + '/student/collectSchool',
  query_school_attence: schoolBase + '/student/schoolAttence',
  do_appointment: schoolBase + '/student/appointment',
  do_appointment_check: schoolBase + '/student/checkCard',
  query_appointment_list: crudListBase + '?statement=ExercisePlanMapper.queryReserve',
};